%define api_version 1.2
%define ui_api_version 3.0
%define dir_version 3.6

%define camelmajor 40
%define camel_libname %mklibname camel %{api_version} %{camelmajor}

%define ebookmajor 14
%define ebook_libname %mklibname ebook %{api_version} %{ebookmajor}

%define ecalmajor 15
%define ecal_libname %mklibname ecal %{api_version} %{ecalmajor}

%define edatabookmajor 15
%define edatabook_libname %mklibname edata-book %{api_version} %{edatabookmajor}

%define edatacalmajor 18
%define edatacal_libname %mklibname edata-cal %{api_version} %{edatacalmajor}

%define edataservermajor 17
%define edataserver_libname %mklibname edataserver %{api_version} %{edataservermajor}
%define edataserver_libnamedev %mklibname -d edataserver %{api_version}

%define edataserveruimajor 4
%define edataserverui_libname %mklibname edataserverui %{ui_api_version} %{edataserveruimajor}

%define ebackendmajor 5
%define ebackend_libname %mklibname ebackend %{api_version} %{ebackendmajor}

%define gi_major 1.2
%define girname %mklibname %{name}-gir %{gi_major}

%define url_ver	%(echo %{version}|cut -d. -f1,2)

Name:		evolution-data-server
Summary:	Evolution Data Server
Version:	3.6.3
%define subrel	1
Release:	%mkrel 1
License: 	LGPLv2+
Group:		System/Libraries
Source0: 	http://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
Patch0:		evolution-data-server-3.6.4-CVE-2013-4166.patch
URL: 		http://www.gnome.org/projects/evolution/

### Build Dependencies ###

BuildRequires: bison
BuildRequires: db5-devel
BuildRequires: gettext
BuildRequires: gnome-common
BuildRequires: gperf
BuildRequires: gtk-doc
BuildRequires: intltool
BuildRequires: openldap-devel
BuildRequires: krb5-devel
BuildRequires:	pkgconfig(gio-2.0) >= 2.30
BuildRequires:	pkgconfig(gtk+-3.0) >= 3.2
BuildRequires:	pkgconfig(gconf-2.0) >= 2.0.0
BuildRequires:	pkgconfig(gmodule-2.0) >= 2.30
BuildRequires:	pkgconfig(libxml-2.0) >= 2.0.0
BuildRequires:	pkgconfig(libsoup-2.4) >= 2.31.2
BuildRequires:	pkgconfig(libgdata) >= 0.10.0
BuildRequires:	pkgconfig(goa-1.0) >= 3.1.1
BuildRequires:	pkgconfig(gnome-keyring-1) >= 2.20.1
BuildRequires:	pkgconfig(nspr)
BuildRequires:	pkgconfig(nss)
BuildRequires:	pkgconfig(gweather-3.0) >= 2.90.0
BuildRequires:	pkgconfig(sqlite3) >= 3.5
BuildRequires:	pkgconfig(libical) >= 0.43
BuildRequires:	pkgconfig(oauth) >= 0.9.4
BuildRequires:	pkgconfig(gcr-base-3)

%description
Evolution Data Server provides a central location for your addressbook
and calendar in the gnome desktop.

%package -n %{camel_libname}
Summary:	Shared libraries for using Evolution Data Server
Group:		System/Libraries
Requires:	%{name} >= %{version}-%{release}
# (cg) Obsolete old non-conformant libname
Obsoletes:	%{mklibname camel 38}

%description -n %{camel_libname}
Evolution Data Server provides a central location for your addressbook
and calendar in the gnome desktop.

%package -n %{ebook_libname}
Summary:	Shared libraries for using Evolution Data Server
Group:		System/Libraries
Requires:	%{name} >= %{version}-%{release}
# (cg) Obsolete old non-conformant libname
Obsoletes:	%{mklibname ebook 14}

%description -n %{ebook_libname}
Evolution Data Server provides a central location for your addressbook
and calendar in the gnome desktop.

%package -n %{ecal_libname}
Summary:	Shared libraries for using Evolution Data Server
Group:		System/Libraries
Requires:	%{name} >= %{version}-%{release}
# (cg) Obsolete old non-conformant libname
Obsoletes:	%{mklibname ecal 15}

%description -n %{ecal_libname}
Evolution Data Server provides a central location for your addressbook
and calendar in the gnome desktop.

%package -n %{edatabook_libname}
Summary:	Shared libraries for using Evolution Data Server
Group:		System/Libraries
Requires:	%{name} >= %{version}-%{release}
# (cg) Obsolete old non-conformant libname
Obsoletes:	%{mklibname edata-book 15}

%description -n %{edatabook_libname}
Evolution Data Server provides a central location for your addressbook
and calendar in the gnome desktop.

%package -n %{edatacal_libname}
Summary:	Shared libraries for using Evolution Data Server
Group:		System/Libraries
Requires:	%{name} >= %{version}-%{release}
# (cg) Obsolete old non-conformant libname
Obsoletes:	%{mklibname edata-cal 18}

%description -n %{edatacal_libname}
Evolution Data Server provides a central location for your addressbook
and calendar in the gnome desktop.

%package -n %{edataserver_libname}
Summary:	Shared libraries for using Evolution Data Server
Group:		System/Libraries
Requires:	%{name} >= %{version}-%{release}
# (cg) Obsolete old non-conformant libname
Obsoletes:	%{mklibname edataserver 17}
Requires:	gsettings-desktop-schemas

%description -n %{edataserver_libname}
Evolution Data Server provides a central location for your addressbook
and calendar in the gnome desktop.

%package -n %{edataserverui_libname}
Summary:	Shared libraries for using Evolution Data Server
Group:		System/Libraries
Requires:	%{name} >= %{version}-%{release}
# (cg) Obsolete old non-conformant libname
Obsoletes:	%{mklibname edataserverui 4}

%description -n %{edataserverui_libname}
Evolution Data Server provides a central location for your addressbook
and calendar in the gnome desktop.

%package -n %{ebackend_libname}
Summary:	Shared libraries for using Evolution Data Server
Group:		System/Libraries
Requires:	%{name} >= %{version}-%{release}
# (cg) Obsolete old non-conformant libname
Obsoletes:	%{mklibname ebackend 4}

%description -n %{ebackend_libname}
Evolution Data Server provides a central location for your addressbook
and calendar in the gnome desktop.

%package -n %{edataserver_libnamedev}
Summary:	Libraries and include files for using Evolution Data Server
Group:		Development/GNOME and GTK+
Requires:	%{name} = %{version}
Requires: %camel_libname = %version
Requires: %ebook_libname = %version
Requires: %ecal_libname = %version
Requires: %edatabook_libname = %version
Requires: %edatacal_libname = %version
Requires: %edataserver_libname = %version
Requires: %edataserverui_libname = %version
Requires: %ebackend_libname = %version
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	libedataserver-devel = %version-%release
# (cg) Obsolete old non-conformant devel name
Obsoletes:	%{mklibname -d edataserver}

%description -n %{edataserver_libnamedev}
Evolution Data Server provides a central location for your addressbook
and calendar in the gnome desktop.

%package -n %{girname}
Summary:        GObject Introspection interface description for %name
Group:          System/Libraries

%description -n %{girname}
GObject Introspection interface description for %name.

%prep
%setup -q
%patch0 -p1 -b .CVE-2013-4166

%build

# (ovitters) doesn't build against gweather 3.5 at the moment..
%configure2_5x \
	--with-krb5=%{_prefix} \
	--with-krb5-libs=%{_libdir} \
	--with-libdb=%{_prefix} \
	--with-openldap=yes \
	--with-static-ldap=no \
	--disable-weather \
	--disable-static \
	--enable-gtk-doc=yes
#--enable-gnome-keyring=yes
%make

%install
%makeinstall_std

# remove libtool archives for importers and the like
find $RPM_BUILD_ROOT/%{_libdir} -name '*.la' -exec rm {} \;

# give the libraries some executable bits 
find $RPM_BUILD_ROOT -name '*.so.*' -exec chmod +x {} \;

%find_lang %{name}-%{dir_version}

%files -f %{name}-%{dir_version}.lang
%doc COPYING NEWS
%{_libdir}/%{name}
%{_libexecdir}/camel-index-control-%{api_version}
%{_libexecdir}/evolution-addressbook-factory
%{_libexecdir}/evolution-calendar-factory
%{_libexecdir}/evolution-source-registry
%attr(2755,root,mail) %{_libexecdir}/camel-lock-helper-%{api_version}
%{_datadir}/%{name}-%{dir_version}
%{_datadir}/dbus-1/services/org.gnome.evolution.dataserver.AddressBook.service
%{_datadir}/dbus-1/services/org.gnome.evolution.dataserver.Calendar.service
%{_datadir}/dbus-1/services/org.gnome.evolution.dataserver.Sources.service
%{_datadir}/GConf/gsettings/*
%{_datadir}/glib-2.0/schemas/*.xml
%{_datadir}/pixmaps/%{name}

%files -n %{camel_libname}
%{_libdir}/libcamel-%{api_version}.so.%{camelmajor}*

%files -n %{ebook_libname}
%{_libdir}/libebook-%{api_version}.so.%{ebookmajor}*

%files -n %{ecal_libname}
%{_libdir}/libecal-%{api_version}.so.%{ecalmajor}*

%files -n %{edatabook_libname}
%{_libdir}/libedata-book-%{api_version}.so.%{edatabookmajor}*

%files -n %{edatacal_libname}
%{_libdir}/libedata-cal-%{api_version}.so.%{edatacalmajor}*

%files -n %{edataserver_libname}
%{_libdir}/libedataserver-%{api_version}.so.%{edataservermajor}*

%files -n %{edataserverui_libname}
%{_libdir}/libedataserverui-%{ui_api_version}.so.%{edataserveruimajor}*


%files -n %{girname}
%{_libdir}/girepository-1.0/EDataServer-%{gi_major}.typelib
%{_libdir}/girepository-1.0/ECalendar-%{gi_major}.typelib
%{_libdir}/girepository-1.0/EBook-%{gi_major}.typelib

%files -n %{ebackend_libname}
%{_libdir}/libebackend-%{api_version}.so.%{ebackendmajor}*

%files -n %{edataserver_libnamedev}
%doc %{_datadir}/gtk-doc/html/*
%{_includedir}/%{name}-%{dir_version}
%{_libdir}/pkgconfig/*
%{_libdir}/*.so
%{_datadir}/gir-1.0/EDataServer-%{gi_major}.gir
%{_datadir}/gir-1.0/ECalendar-%{gi_major}.gir
%{_datadir}/gir-1.0/EBook-%{gi_major}.gir


%changelog
* Fri Aug 02 2013 luigiwalser <luigiwalser> 3.6.3-1.1.mga3
+ Revision: 462733
- add patch from ubuntu to fix CVE-2013-4166

* Mon Jan 21 2013 ovitters <ovitters> 3.6.3-1.mga3
+ Revision: 390595
- new version 3.6.3

* Fri Jan 11 2013 umeabot <umeabot> 3.6.2-3.mga3
+ Revision: 349804
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 03 2013 pterjan <pterjan> 3.6.2-2.mga3
+ Revision: 338390
- Fix for _libdir != _libexecdir

* Sun Nov 11 2012 fwang <fwang> 3.6.2-1.mga3
+ Revision: 317025
- new version 3.6.2

* Sun Oct 14 2012 ovitters <ovitters> 3.6.1-1.mga3
+ Revision: 305275
- new version 3.6.1

* Thu Oct 11 2012 ovitters <ovitters> 3.6.0-2.mga3
+ Revision: 304679
- add require on gsettings-desktop-schemas (mga#7766)

* Sat Sep 22 2012 ovitters <ovitters> 3.6.0-1.mga3
+ Revision: 296726
- new version 3.6.0

* Sun Sep 16 2012 ovitters <ovitters> 3.5.92-1.mga3
+ Revision: 294456
- new version 3.5.92

* Sat Sep 01 2012 ovitters <ovitters> 3.5.91-1.mga3
+ Revision: 286978
- new version 3.5.91

* Mon Aug 20 2012 ovitters <ovitters> 3.5.90-2.mga3
+ Revision: 282449
- new version 3.5.90

* Mon Aug 06 2012 ovitters <ovitters> 3.5.5-1.mga3
+ Revision: 279156
- update ebackend major
- new version 3.5.5

* Mon Jul 30 2012 tv <tv> 3.5.4-2.mga3
+ Revision: 276247
- rebuild for db-5.3

* Mon Jul 16 2012 fwang <fwang> 3.5.4-1.mga3
+ Revision: 271217
- update libmajor

  + ovitters <ovitters>
    - new version 3.5.4

* Mon Jul 02 2012 colin <colin> 3.5.3.1-5.mga3
+ Revision: 266808
- Remove unneeded Obsoletes/Conflicts now that library names differ
- Update lib packages to follow library policy (add api numbers)

* Mon Jul 02 2012 ovitters <ovitters> 3.5.3.1-4.mga3
+ Revision: 266605
- remove old obsoletes
- add conflict to remove edataserverui1

* Sun Jul 01 2012 ovitters <ovitters> 3.5.3.1-3.mga3
+ Revision: 266175
- remove very old obsoletes

* Sun Jul 01 2012 ovitters <ovitters> 3.5.3.1-2.mga3
+ Revision: 266149
- rebuild to fix missing upload

* Sun Jul 01 2012 ovitters <ovitters> 3.5.3.1-1.mga3
+ Revision: 266134
- update file list
- update even more majors
- update more majors
- update camel major
- update file list
- clean spec
- disable gweather backend; does not work against 3.5
- new version 3.5.3.1
- br gcr-base-3
- new version 3.5.3

* Mon Jun 18 2012 ovitters <ovitters> 3.4.3-1.mga3
+ Revision: 261393
- new version 3.4.3

* Thu Jun 14 2012 tv <tv> 3.4.2-2.mga3
+ Revision: 260511
- build with db5.2

* Mon May 14 2012 ovitters <ovitters> 3.4.2-1.mga3
+ Revision: 235652
- new version 3.4.2

* Mon Apr 16 2012 ovitters <ovitters> 3.4.1-1.mga2
+ Revision: 231004
- new version 3.4.1

* Mon Mar 26 2012 ovitters <ovitters> 3.4.0-1.mga2
+ Revision: 226531
- new version 3.4.0

* Mon Mar 19 2012 ovitters <ovitters> 3.3.92-1.mga2
+ Revision: 224283
- new version 3.3.92
- clean spec

* Tue Mar 06 2012 fwang <fwang> 3.3.91-1.mga2
+ Revision: 219690
- new version 3.3.91

* Mon Feb 20 2012 fwang <fwang> 3.3.90-1.mga2
+ Revision: 211170
- update file list
- new version 3.3.90

* Mon Feb 06 2012 fwang <fwang> 3.3.5-1.mga2
+ Revision: 205293
- new version 3.3.5

* Mon Jan 16 2012 fwang <fwang> 3.3.4-1.mga2
+ Revision: 196952
- new version 3.3.4

* Tue Dec 20 2011 fwang <fwang> 3.3.3-1.mga2
+ Revision: 184684
- new version 3.3.3

* Mon Nov 21 2011 fwang <fwang> 3.3.2-1.mga2
+ Revision: 170239
- update libmajor
- new version 3.3.2

* Fri Oct 28 2011 wally <wally> 3.3.1.1-2.mga2
+ Revision: 159323
- rebuild to fix pkg names

* Fri Oct 28 2011 wally <wally> 3.3.1.1-1.mga2
+ Revision: 159263
- new version 3.3.1.1
- new majors

* Sun Oct 16 2011 wally <wally> 3.2.1-1.mga2
+ Revision: 155527
- new version 3.2.1

* Sun Sep 25 2011 fwang <fwang> 3.2.0-1.mga2
+ Revision: 147601
- new version 3.2.0

* Mon Sep 19 2011 fwang <fwang> 3.1.92-1.mga2
+ Revision: 145433
- new version 3.1.92

* Fri Sep 16 2011 wally <wally> 3.1.91-2.mga2
+ Revision: 144300
- rebuild with new glib

* Sun Sep 04 2011 fwang <fwang> 3.1.91-1.mga2
+ Revision: 138363
- new version 3.1.91

* Mon Aug 29 2011 fwang <fwang> 3.1.90-1.mga2
+ Revision: 136107
- new version 3.1.90
- update file list
- new version 3.1.5
- update camel major
- update br
- new version 3.1.4

* Thu Jul 07 2011 dmorgan <dmorgan> 3.1.3-3.mga2
+ Revision: 119862
- Rebuild against new rpm-setup

* Wed Jul 06 2011 dmorgan <dmorgan> 3.1.3-2.mga2
+ Revision: 119091
- Fix file list
  Add gir package
- Fix libgdata minimum version
- add liboauth-devel as BuildRequires
- Enable goa

* Tue Jul 05 2011 dmorgan <dmorgan> 3.1.3-1.mga2
+ Revision: 118764
- Fix majors of edataserverui and camel
- New version 3.1.3

* Mon Jul 04 2011 dmorgan <dmorgan> 3.1.2-1.mga2
+ Revision: 118322
- Fix file lists
- Comment dead package
- Fix file lists
- Remove old/unused patch
- New version 3.1.2
- New version 3.1.2

* Thu Jun 09 2011 dmorgan <dmorgan> 3.0.2.1-1.mga2
+ Revision: 102084
- Sync buildrequires with fedora
- New version 3.0.2.1

* Fri Apr 15 2011 dams <dams> 2.32.2-1.mga1
+ Revision: 85578
- Update to 2.32.2

* Fri Mar 25 2011 dmorgan <dmorgan> 2.32.1-2.mga1
+ Revision: 77184
- Rebuild to fix broken requires(auto)

* Sun Jan 16 2011 pterjan <pterjan> 2.32.1-1.mga1
+ Revision: 20516
- Drop obsolete Obsoletes
- imported package evolution-data-server

